﻿using Syncfusion.DocIO.DLS;
using Syncfusion.UI.Xaml.RichTextBoxAdv;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Graphics.Printing;
using Windows.Storage;
using Windows.Storage.Pickers;
using Windows.UI;
using Windows.UI.Popups;
using Windows.UI.ViewManagement;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Xaml.Printing;

namespace SfRTESample
{
    public partial class MainPage : Page
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainPage"/> class.
        /// </summary>
        public MainPage()
        {
            this.InitializeComponent();
        }
        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
        /// <summary>
        /// Invoked immediately after the Page is unloaded and is no longer the current source of a parent Frame.
        /// </summary>
        /// <param name="e">Event data that can be examined by overriding code. The event data is representative of the navigation that has unloaded the current Page.</param>
        protected override void OnNavigatedFrom(NavigationEventArgs e)
        {
        }
        async private void LoadHtmlButton_Click(object sender, RoutedEventArgs e)
        {
             FileOpenPicker filePicker = new FileOpenPicker();
            WordDocument document = new WordDocument();
            filePicker.FileTypeFilter.Add(".htm");
            filePicker.FileTypeFilter.Add(".html");
            filePicker.ViewMode = PickerViewMode.List;
            filePicker.SuggestedStartLocation = PickerLocationId.Desktop;
            filePicker.CommitButtonText = "Select Html File";
            Windows.UI.Xaml.Documents.Paragraph p = new Windows.UI.Xaml.Documents.Paragraph();
            Windows.UI.Xaml.Documents.Block b = p;            
            StorageFile templateStorageFile = await filePicker.PickSingleFileAsync();
            using (Stream inputStream = await templateStorageFile.OpenStreamForReadAsync())
            {
                // Opens the Html document using DocIO
                document.Open(inputStream, Syncfusion.DocIO.FormatType.Html);
                Stream stream = new MemoryStream();
                // Writes the document into Docx stream
                document.Save(stream, Syncfusion.DocIO.FormatType.Docx);
                // Loads the Docx stream in SfRichTextBoxAdv
                richTextBox.Load(stream, Syncfusion.UI.Xaml.RichTextBoxAdv.FormatType.Docx);
            }
        }
    }
}
